ilsize(1)

NAME
ilsize - the Intermediate Language (IL) size utility

SYNOPSIS
ilsize [ options ] input ...

DESCRIPTION
Ilsize lists size information for each of the sections within an IL object file (.obj), an IL executable (.exe), or an IL dynamic link library (.dll). The output is similar to that produced by size(1).

OPTIONS

--radix num
    Set the radix for displaying size values within the output. The default value is 10. Legal values are 8, 10, and 16.

-d  Set the radix to 10. Same as --radix 10.

-o  Set the radix to 8. Same as --radix 8.

-x  Set the radix to 16. Same as --radix 16.

-D, --detailed
    Use a more detailed output that also includes the number of classes, fields, methods, etc.

--help
    Print a usage message for the ilsize program.

-v, -V, --version
    Print the version of the ilsize program.

--  Marks the end of the command-line options, and the beginning of the input filenames. You may need to use this if your filename begins with '-'. e.g. "ilsize -- -input.obj". This is not needed if the input is stdin: "ilsize -" is perfectly valid.

AUTHOR
Written by Southern Storm Software, Pty Ltd. http://www.southern-storm.com.au/

SEE ALSO
ilasm(1), ildasm(1), ilnative(1), cscc(1), size(1)

DIAGNOSTICS
Exit status is 1 if an error occurred while processing the input. Otherwise the exit status is 0.

filename: truncated image
    The input file is truncated in some way that prevents it from being read as an IL image.

filename: not a valid PE/COFF image
    The input file is not a PE/COFF file. That is, it is not formatted as a Windows executable or dynamic link library, and is also not formatted as a Portable.Net object file (see ilasm(1) for details on the object file format).

filename: image does not contain IL data (may be an ordinary Windows executable)
    The input file is a valid PE/COFF file, but it does not contain an IL binary within it. It is probably an ordinary native Windows executable that cannot be processed by ildasm.

filename: incorrect IL version
    The input file is a valid PE/COFF file that contains a valid IL binary, but the IL data is for an unsupported version.

filename: required sections in reverse order
    There was something wrong with the order of sections within the file that caused the loader to need to seek backwards. This will normally only happen for IL binaries that have been incorrectly generated or corrupted in some way.

filename: not enough memory to load image
    The IL binary was so large that it could not be loaded into memory prior to disassembly.

filename: bad addresses in image
    The PE/COFF file or IL binary within the file contained a "relative virtual address", or RVA, that was invalid. This will normally only happen for IL binaries that have been incorrectly generated or corrupted in some way.

filename: invalid metadata in image
    The metadata section was invalid in some way. Usually this indicates a corrupted IL binary.

filename: uses undocumented metadata feature
    The metadata section was mostly valid, but it used features for which we do not have sufficient documentation to parse successfully.

filename: unresolved external references
    The metadata section was valid, but it referred to types in another file that could not be fully resolved.

metadata error: ...
    Depending on how the Portable.NET development tools were built, errors of this kind may appear in addition to the other errors listed above. They provide additional diagnostics that mainly of interest to the authors. If you come across a file that produces such an error, then contact the authors.

BUGS
Ilsize does not currently understand the format of ".a" or ".lib" archive libraries, so it cannot display information about archive contents like size(1) can.